package com.javacodegeeks.presencebt;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.concurrent.ExecutionException;


public class LoginActivity extends ActionBarActivity {
    TextView tvEmail,tvPass,tv;
    EditText etEmail,etPass;
    Button btnLogin;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);
        tvEmail = (TextView) findViewById(R.id.tvEmail);
        etEmail = (EditText) findViewById(R.id.etEmail);
        tvPass = (TextView) findViewById(R.id.tvPass);
        etPass = (EditText) findViewById(R.id.etPass);
        btnLogin = (Button) findViewById(R.id.btnLogin);

        btnLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AttemptLogin login = new AttemptLogin();
                    login.execute("http://45.63.104.97/loginApp.php");
            }
        });
    }

    private class AttemptLogin extends AsyncTask<String, Void, String>{
        String text="";
        ProgressDialog dialog = new ProgressDialog(LoginActivity.this);
        @Override
        protected void onPreExecute() {
            super.onPreExecute();
            dialog.setMessage("Attempting to log in...");
            dialog.show();
        }

        @Override
        protected String doInBackground(String... params) {
            InputStream is1 = null;
            for(String url1:params) {
                try {
                    ArrayList<NameValuePair> pairs = new ArrayList<>();
                    pairs.add(new BasicNameValuePair("email", etEmail.getText().toString()));
                    pairs.add(new BasicNameValuePair("pass", etPass.getText().toString()));
                    HttpClient client = new DefaultHttpClient();
                    HttpPost post = new HttpPost(url1);
                    post.setEntity(new UrlEncodedFormEntity(pairs));
                    HttpResponse response = client.execute(post);
                    is1 = response.getEntity().getContent();
                } catch (ClientProtocolException e) {
                    e.printStackTrace();
                } catch (UnsupportedEncodingException e) {
                    e.printStackTrace();
                    Toast.makeText(LoginActivity.this,e.toString(),Toast.LENGTH_SHORT).show();
                } catch (IOException e) {
                    e.printStackTrace();
                    Toast.makeText(LoginActivity.this,e.toString(),Toast.LENGTH_SHORT).show();
                }
                BufferedReader reader = null;
                try {
                    reader = new BufferedReader(new InputStreamReader(is1, "UTF-8"), 8);
                } catch (UnsupportedEncodingException e) {
                    e.printStackTrace();
                    Toast.makeText(LoginActivity.this,e.toString(),Toast.LENGTH_SHORT).show();
                }
                String line = null;
                try {
                    while ((line=reader.readLine())!=null) {
                        text += line + "\n";
                    }
                } catch (IOException e) {
                    e.printStackTrace();
                    Toast.makeText(LoginActivity.this,e.toString(),Toast.LENGTH_SHORT).show();
                }
                try {
                    is1.close();
                } catch (IOException e) {
                    e.printStackTrace();
                    Toast.makeText(LoginActivity.this,e.toString(),Toast.LENGTH_SHORT).show();
                }
            }
                return text;
        }

        @Override
        protected void onPostExecute(String s) {
            super.onPostExecute(s);
            Toast.makeText(LoginActivity.this, s, Toast.LENGTH_SHORT).show();
            if (s.contains("You are successfully logged in")){
                Intent i = new Intent(LoginActivity.this,ConnectActivity.class);
                i.putExtra("user_email",etEmail.getText().toString());
                startActivity(i);
            }
            dialog.dismiss();
        }
    }
}
