package com.javacodegeeks.presencebt;

import android.app.ProgressDialog;
import android.content.ContentValues;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.StrictMode;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;


public class RegisterActivity extends ActionBarActivity {
    TextView tvName,tvEmail,tvPass,tvPassConf;
    EditText etName,etEmail,etPass,etPassConf;
    Button btnSave;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_register);
        tvName = (TextView) findViewById(R.id.tvName);
        etName = (EditText) findViewById(R.id.etName);
        tvEmail = (TextView) findViewById(R.id.tvEmail);
        etEmail = (EditText) findViewById(R.id.etEmail);
        tvPass = (TextView) findViewById(R.id.tvPass);
        etPass = (EditText) findViewById(R.id.etPass);
        tvPassConf = (TextView) findViewById(R.id.tvPassConf);
        etPassConf = (EditText) findViewById(R.id.etPassConf);
        btnSave = (Button) findViewById(R.id.btnSave);

        btnSave.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                InsertData insert = new InsertData();
                insert.execute("http://45.63.104.97/registerApp.php");
            }
        });
    }

    private class InsertData extends AsyncTask<String, Void, Boolean>{
        ProgressDialog dialog = new ProgressDialog(RegisterActivity.this);

        @Override
        protected void onPreExecute() {
            super.onPreExecute();
            dialog.setMessage("Sending data...");
            dialog.show();
        }

        @Override
        protected Boolean doInBackground(String... params) {
            for(String url1 : params){

                try {
                    ArrayList<NameValuePair> pairs = new ArrayList<>();
                    pairs.add(new BasicNameValuePair("txtName",etName.getText().toString()));
                    pairs.add(new BasicNameValuePair("txtEmail",etEmail.getText().toString()));
                    pairs.add(new BasicNameValuePair("txtPass",etPassConf.getText().toString()));
                    HttpClient client = new DefaultHttpClient();
                    HttpPost post = new HttpPost(url1);
                    post.setEntity(new UrlEncodedFormEntity(pairs));
                    HttpResponse response = client.execute(post);
                }   catch (ClientProtocolException e) {
                    e.printStackTrace();
                    return false;
                }
                catch (IOException e) {
                    e.printStackTrace();
                    return  false;
                }
            }
            return true;
        }

        @Override
        protected void onPostExecute(Boolean aBoolean) {
            super.onPostExecute(aBoolean);
            if(aBoolean == true){
                Toast.makeText(RegisterActivity.this,"You are successfully registered",Toast.LENGTH_LONG).show();
                Intent i = new Intent(getApplicationContext(), LoginActivity.class);
                startActivity(i);
            }
            else {
                Toast.makeText(RegisterActivity.this,"Error",Toast.LENGTH_LONG).show();
            }
            dialog.dismiss();
        }
    }
}


